### Class

# WebKit2WebExtension DOMEntityReference

#### Description

    class WebKit2WebExtension.DOMEntityReference : WebKit2WebExtension.DOMNode
      implements WebKit2WebExtension.DOMEventTarget {
      /* No available fields */
    }

No description available.

#### Ancestors

- WebKitDOMNode
- WebKitDOMObject
- GObject

#### Implements

- WebKitDOMEventTarget

#### Instance methods

##### Methods inherited from WebKitDOMNode (35)

Please see WebKitDOMNode for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from WebKitDOMEventTarget (5)

###### webkit_dom_event_target_add_event_listener

No description available.

deprecated: 2.22

###### webkit_dom_event_target_add_event_listener_with_closure

Version of `webkit_dom_event_target_add_event_listener()` using a closure instead of a callbacks for easier binding in other languages.

deprecated: 2.22

###### webkit_dom_event_target_dispatch_event

No description available.

deprecated: 2.22

###### webkit_dom_event_target_remove_event_listener

No description available.

deprecated: 2.22

###### webkit_dom_event_target_remove_event_listener_with_closure

Version of `webkit_dom_event_target_remove_event_listener()` using a closure instead of a callbacks for easier binding in other languages.

deprecated: 2.22

#### Properties

##### Properties inherited from WebKitDOMNode (13)

###### WebKit2WebExtension.DOMNode:base-uri

No description available.

###### WebKit2WebExtension.DOMNode:child-nodes

No description available.

###### WebKit2WebExtension.DOMNode:first-child

No description available.

###### WebKit2WebExtension.DOMNode:last-child

No description available.

###### WebKit2WebExtension.DOMNode:next-sibling

No description available.

###### WebKit2WebExtension.DOMNode:node-name

No description available.

###### WebKit2WebExtension.DOMNode:node-type

No description available.

###### WebKit2WebExtension.DOMNode:node-value

No description available.

###### WebKit2WebExtension.DOMNode:owner-document

No description available.

###### WebKit2WebExtension.DOMNode:parent-element

No description available.

###### WebKit2WebExtension.DOMNode:parent-node

No description available.

###### WebKit2WebExtension.DOMNode:previous-sibling

No description available.

###### WebKit2WebExtension.DOMNode:text-content

No description available.

##### Properties inherited from WebKitDOMObject (1)

###### WebKit2WebExtension.DOMObject:core-object

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKit2WebExtensionDOMEntityReferenceClass {
      WebKitDOMNodeClass parent_class;

    }

No description available.

###### Class members

`parent_class: WebKitDOMNodeClass`

  No description available.